Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.lisp
Class Interpreter.VarRef

    java.lang.Object
      ix.util.lisp.Interpreter.Expr
          ix.util.lisp.Interpreter.VarRef

Direct Known Subclasses:
  Interpreter.Assignment

Enclosing class:
  Interpreter

    public static class Interpreter.VarRef

extends Interpreter.Expr

A reference to a variable. The value of this expression is the value bound to the variable by the environment this expression is evaluated in.

Field Summary
`(package private) int` | `over`
`(package private) int` | `up`
`(package private) Symbol` | `var`

Fields inherited from class ix.util.lisp.Interpreter.Expr
`description`

Constructor Summary
`Interpreter.VarRef(Symbol var)`

Method Summary
`protected java.lang.Object` | `_evalIn(Interpreter.Env env)` Implements this expression's semantics.
`java.lang.Object` | `evalIn(Interpreter.Env env)` Provides public access to this expression's semantics.
`Expression` | `externalForm()` Returns a representation of this expression that can be understood by the reflection and XML utilities.

Methods inherited from class ix.util.lisp.Interpreter.Expr
`evalArgs, externalForm, makeExprArray, makeVarArray, setDescription, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### var

    Symbol var

### up

    int up

### over

    int over

Constructor Detail

### Interpreter.VarRef

    public Interpreter.VarRef(Symbol var)

Method Detail

### evalIn

    public java.lang.Object evalIn(Interpreter.Env env)

  Description copied from class: `Interpreter.Expr`
  Provides public access to this expression's semantics. This method typically wraps some debugging support around a call to `#_evalIn(Env)`.

  Overrides:
    `evalIn` in class `Interpreter.Expr`

### _evalIn

    protected java.lang.Object _evalIn(Interpreter.Env env)

  Description copied from class: `Interpreter.Expr`
  Implements this expression's semantics.

  Note that this method is usually not called directly. Instead, call `#evalIn(Env`}.

  Specified by:
    `_evalIn` in class `Interpreter.Expr`

### externalForm

    public Expression externalForm()

  Description copied from class: `Interpreter.Expr`
  Returns a representation of this expression that can be understood by the reflection and XML utilities.

  Specified by:
    `externalForm` in class `Interpreter.Expr`
  See Also:
    `IScript`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD